Thread: php and mysql

    #1
  1. No Profile Picture
    Junior Member
    Devshed Newbie (0 - 499 posts)

    Join Date
    May 2000
    Posts
    2
    Rep Power
    0
    Both php and mysql work on the machine, but if i use phpMyAdmin i get the "unsupported call" message.
    mysql.so is uncommented in php.ini , and am running
    Apache 1.3.12 , rhlinux 6.2 , php 3.0.15 and mysql 3.22.32.
    Cannot see the mysql.so anywhere on the system.
    Is this a case of php not supporting mysql ?
    Whats the best way to remedy- can i change the current set up or better off installing php4 ?
  2. #2
  3. No Profile Picture
    Contributing User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Feb 2000
    Posts
    38
    Rep Power
    15
    sounds like mysql support didnt get compiled into PHP. did you include the --with-mysql call when you compiled apache?
    if not, check out the INSTALL docs for PHP, it provides a pretty good walkthrough

Similar Threads

  1. Check MySQL Version thru PHP
    By wolftrap1 in forum PHP Development
    Replies: 2
    Last Post: February 11th, 2004, 08:51 PM
  2. Replies: 0
    Last Post: February 10th, 2004, 11:44 PM
  3. Replies: 0
    Last Post: January 30th, 2004, 01:22 PM
  4. PHP 5 (MYSQL vs. SQLite)
    By ignition in forum PHP Development
    Replies: 1
    Last Post: January 23rd, 2004, 12:13 PM
  5. PHP Reconfig with mysql...
    By Legendary Fox in forum PHP Development
    Replies: 3
    Last Post: January 22nd, 2004, 11:46 PM

IMN logo majestic logo threadwatch logo seochat tools logo